Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Interface NioEndpoint.Handler

Enclosing class:
  NioEndpoint

    public static interface NioEndpoint.Handler

Bare bones interface used for socket processing. Per thread data is to be stored in the ThreadWithAttributes extra folders, or alternately in thread local fields.

Nested Class Summary
`static class` | `NioEndpoint.Handler.SocketState`

Method Summary
`NioEndpoint.Handler.SocketState` | `event(NioChannel socket, SocketStatus status)`
`NioEndpoint.Handler.SocketState` | `process(NioChannel socket)`
`void` | `release(NioChannel socket)`
`void` | `releaseCaches()`

Method Detail

### process

    NioEndpoint.Handler.SocketState process(NioChannel socket)

### event

    NioEndpoint.Handler.SocketState event(NioChannel socket,
                                          SocketStatus status)

### releaseCaches

    void releaseCaches()

### release

    void release(NioChannel socket)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.